|  | ## Cheshire3 Object Model: Class doGoogleSearchResponseWrapper

Module GoogleSearch_services :: Class doGoogleSearchResponseWrapper

## Class doGoogleSearchResponseWrapper
source code

Object Tree:

          TC.TypeCode --+
                        |
    ZSI.TCcompound.Struct --+
                            |
       doGoogleSearchResponse --+
                                |
                               doGoogleSearchResponseWrapper

wrapper for rpc:encoded message
Instance Methods

__init__(self, name=None, ns=None)
Inherited from `ZSI.TCcompound.Struct`: `cb`, `parse`, `serialize` Inherited from `ZSI.TC.TypeCode`: `SimpleHREF`, `checkname`, `checktype`, `get_parse_and_errorlist`, `name_match`, `nilled`, `simple_value`

Class Variables

typecode |
Inherited from `ZSI.TC.TypeCode`: `typechecks`

Method Details

### __init__(self, name=None, ns=None) (Constructor) | source code
Overrides: doGoogleSearchResponse.__init__

Class Variable Details

    ### typecode Value:
        <GoogleSearch_services.doGoogleSearchResponse instance at 0xb76925ec>